
QGIS Application - Bug report #1893

opening data tables widens the main window

2009-08-25 07:20 AM - Paolo Cavallini

Status: Reopened

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:3.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 11953

Description

When opening >=3 tables while in docked mode, the main window becomes very wide, instead of shrinking the space allocated to each

table

History

#1 - 2010-06-12 12:14 AM - Paolo Cavallini

Still true in 1.5.0

#2 - 2010-06-13 10:25 AM - Paolo Cavallini

See also #2258

#3 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-16 06:22 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#5 - 2012-09-04 12:04 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2014-05-08 11:31 AM - Anita Graser

- Operating System changed from Debian to all

- Assignee deleted (nobody -)

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

- Pull Request or Patch supplied set to No

same on Win8

#7 - 2014-05-08 11:31 AM - Anita Graser

- Category changed from Data Provider to GUI
#8 - 2014-06-02 04:03 AM - Nathan Woodrow

Seems there is a tabify method which we can use to tabify two, or more dock widgets.  Would this be the solution?   We could change it so that it always

tabs the dock widgets.

#9 - 2014-06-03 12:45 AM - Paolo Cavallini

Sounds good, thanks

#10 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#11 - 2018-01-29 06:31 PM - Paolo Cavallini

Seems solved now, could someone confirm?

#12 - 2018-01-29 06:35 PM - Giovanni Manghi

- Status changed from Open to Feedback

Paolo Cavallini wrote:

Seems solved now, could someone confirm?

if/when needed an answer from issuer or others please put the ticket in feedback status, thanks.

#13 - 2018-02-22 01:15 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Assuming is fixed.

#14 - 2018-02-23 11:00 AM - Paolo Cavallini

- Resolution deleted (fixed/implemented)

- Status changed from Closed to Reopened

Just checked in 2.18.16, still true.

#15 - 2018-02-23 11:19 AM - Giovanni Manghi

- Affected QGIS version changed from master to 2.18.16

- Status changed from Reopened to Open

- Operating System deleted (all)
#16 - 2019-03-09 03:09 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

#17 - 2019-03-09 03:20 PM - Paolo Cavallini

- Affected QGIS version changed from 2.18.16 to 3.6.0

- Status changed from Closed to Reopened

Still true in 3.6

#18 - 2019-03-09 03:21 PM - Giovanni Manghi

- Resolution deleted (end of life)
